#
# spec file for package python-ec2publishimg
#
# Copyright (c) 2015 SUSE Linux GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define upstream_name ec2publishimg
Name:           python3-ec2publishimg
Version:        2.0.0
Release:        lp151.2.2
Summary:        Tag image as deprected in EC2
License:        GPL-3.0+
Group:          System/Management
Url:            https://github.com/SUSE/Enceladus
Source0:        %{upstream_name}-%{version}.tar.bz2
Requires:       python3
Requires:       python3-boto3
Requires:       python3-dateutil
Requires:       python-ec2utilsbase >= 3.0.0
Requires:       python-ec2utilsbase < 4.0.0
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

# Package renamed in SLE 12, do not remove Provides, Obsolete directives
# until after SLE 12 EOL
Provides:       python-ec2publishimg = %{version}
Obsoletes:      python-ec2publishimg < %{version}

%description
Publish images owned by the specified account by adding tags named
"Publishd on", "Removal date", and "Replacement image"

%prep
%setup -q -n %{upstream_name}-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_mandir}/man1
install -m 644 man/man1/ec2publishimg.1 %{buildroot}/%{_mandir}/man1
gzip %{buildroot}/%{_mandir}/man1/ec2publishimg.1

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_mandir}/man*/*
%dir %{python3_sitelib}/ec2utils
%{python3_sitelib}/*
%{_bindir}/*

%changelog
* Thu Aug 10 2017 rjschwei@suse.com
- Update to version 2.0.0
  + Convert to Python3
* Fri Sep 16 2016 rjschwei@suse.com
- Update to version 1.1.3 (bsc#999299)
  + When attempting to set an image private that is already private or
    that has a snapshot where sharing permission were not set an error
    message was produced. We now provide an info message and move on.
* Thu Sep 15 2016 rjschwei@suse.com
- Update to version 1.1.2 (bsc#999019)
  + Coordinated release with other ec2utils
  + Fix install from source by properly setting up a namespace
* Fri Apr  8 2016 rjschwei@suse.com
- Update to version 1.1.0 (bsc#973107)
  + New command line option --allow-copy that shares the underlying
    snapshot with the target account to allow copying of the image
* Mon Mar 28 2016 rjschwei@suse.com
- Update to version 1.0.0
  + Convert to use boto3
* Thu Feb 18 2016 rjschwei@suse.com
- Update to version 0.1.1 (bsc#966958)
  + Do not show traceback when no account is given on the command line
  + Code changes to handle new get_from_config() in utils base
* Thu Aug 13 2015 rjschwei@suse.com
- Initial build, include in SLE 12 (FATE#319357)
  + Version 0.1.0
